Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18228

Description

Under qgis master (2.3), labels are rendered in tiny size when a composer sheet is exported to image. See attached label_tiny_issue.png

Steps to reproduce:

1. Load the attached label_tiny_issue project file

2. Open the composer window

3. Export the composer to image via 'Export to image'

4. Open the exported file, and notice how tiny the labels are

This is a regression affecting qgis master (2.3) following the MTR merge.

Associated revisions

Revision daf1e0b6 - 2014-02-26 11:49 AM - Martin Dobias

Fix #9661 (labels in composer rendered with wrong size)

History

#1 - 2014-02-26 12:43 AM - Mathieu Pellerin - nIRV

- File dpi_variations.png added

If I render using 92dpi, the label is sized correctly; the more I increase the dpi, the more wrong the label size gets (i.e. shrinks), see dpi_variations.png.

#2 - 2014-02-26 02:50 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"daf1e0b6881cdb77df6f6a9dc988ad92e0f9019d".

#3 - 2014-02-26 02:51 AM - Martin Dobias

Actually this was working fine in MTR branch before merging in changes from 2.2 development :)

Files

label_tiny_issue.png 162 KB 2014-02-25 Mathieu Pellerin - nIRV
label_tiny_issue.zip 9.21 KB 2014-02-25 Mathieu Pellerin - nIRV
